import env from "#start/env.ts"
import { VERSION } from "@repo/utils/constants"
import { defineConfig } from "@tuyau/core"

const tuyauConfig = defineConfig({
  codegen: {},
  openapi: {
    provider: "scalar",
    buildSpecPath: ".adonisjs/openapi.yaml",
    documentation: {
      info: {
        title: "Wikipedia Game Solver API",
        version: VERSION,
      },
      tags: [{ name: "health" }, { name: "users" }, { name: "wikipedia" }],
      servers: [{ url: env.get("API_URL") }],
    },
  },
})

export default tuyauConfig
