import packageJSON from "../package.json"

export const VERSION =
  process.env["NODE_ENV"] === "development"
    ? "0.0.0-development"
    : packageJSON.version

export const GIT_REPO_LINK =
  "https://git.theoludwig.fr/theoludwig/wikipedia-game-solver"

export const LOCALES = ["en-US", "fr-FR"] as const
export type Locale = (typeof LOCALES)[number]
export const LOCALE_DEFAULT = "en-US" satisfies Locale
export const LOCALE_PREFIX = "never"

export const THEMES = ["light", "dark"] as const
export type Theme = (typeof THEMES)[number]
export const THEME_DEFAULT = "light" as Theme
